# MeshDistribute

Distributes the mesh and any associated sections.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode MeshDistributeByFace(Mesh serialMesh, const char partitioner[], Mesh *parallelMesh)

Not Collective

### Input Parameter

| serialMesh | - The original Mesh object
| partitioner | - The partitioning package, or NULL for the default

### Output Parameter

parallelMesh -The distributed Mesh object

### Keywords

mesh, elements

### See Also

MeshCreate(), MeshDistribute()

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages